#ifndef MAT2D_H
#define MAT2D_H

class Mat2d {
private:
   double *data;
   int m;
   int n;

public:
   Mat2d();
   Mat2d(int m, int n);
   Mat2d(const Mat2d& M);
   ~Mat2d();
   void resize(int m, int n);
   int getM() const;
   int getN() const;
   void getMN(int &m, int &n) const;
   Mat2d& fill(double value);
   const double& getElem(int i, int j) const;
   double & getElem(int i, int j);
   Mat2d& add(const Mat2d& M);
   bool equal(const Mat2d& M) const;
};

#endif
